Atualizando K3B e Outros Pacotes no Sabayon Linux

Publicado por Alberto Federman Neto. em 04/10/2021

[ Hits: 238 ]

Blog: https://ciencialivre.blog/

 


Atualizando K3B e Outros Pacotes no Sabayon Linux



O Sabayon Linux, minha distro favorita, é um Linux que está acabando. Por essa razão, vários pacotes podem não mais atualizar usando os comandos padrão do Entropy:

# equo up
# equo u -av
# equo i PACOTE

Mas como o Sabayon deriva do Gentoo, Portage pode ser usado para atualizar os pacotes.

É o caso do K3B. A versão do Sabayon é mais antiga, e eu queria atualizar...

Para fazê-lo, primeiro edite o arquivo /etc/entropy/client.conf. Procure a linha escrito "ignore SPMdowngrades" e troque "disable" por "enable", e salve:

kdesu (ou gksu) SEU_EDITOR_FAVORITO

Editor, eu gosto de usar ao editor avançado [URL:https://www.vivaolinux.com.br/dica/Geany-Ferramenta-de-qualidade-para-desenvolvimento] Geany [/URL], mas cada um tem seu favorito.

Feito isso, ajuste o perfil (profile) e ajuste para o compilador GCC mais recente que tiver no Sabayon. Isso pode ser feito com os comandos abaixo:

eselect profile list
# eselect profile set 5 ou 8

Em KDE, eu prefiro os perfis 5 (Desktop Stable) ou 8 (Desktop Plasma Stable).

Agora o compilador. Usar o mais novo, no momento, no Sabayon, é 9.3.0; Ajuste as variáveis de ambiente.

gcc-config -l
# gcc-config 3
# env-update
source /etc/profile

Agora podemos compilar o K3B, com Portage, direto em Português do Brasil:

# emerge -s k3b
# emerge -pv --nodeps k3b
# LINGUAS="pt_BR" L10N="pt-BR" emerge -av k3b

a versão do Entropy é mais antiga:

equo s k3b
╠  @@ Buscando...
╠      @@ Pacote: kde-apps/k3b-20.12.3 ramo: 5, [sabayonlinux.org]
╠          Disponível:   versão: 20.12.3 ~ tag: NoTag ~ revisão: 0
╠          Instalado:
╠          Slot:         5
╠          Homepage:     https://apps.kde.org/en/k3b
╠                        https://userbase.kde.org/K3b
╠          Descrição:    Full-featured burning and ripping
╠                        application based on KDE Frameworks
╠          Licença:      FDL-1.2 GPL-2
╠   Palavras-Chave:  k3b
╠   Encontrado:      1 entrada

Mas a versão mais nova do Portage, foi instalada:

emerge -s k3b
/usr/lib/python3.7/site-packages/portage/package/ebuild/_config/KeywordsManager.py:70: UserWarning: /etc/portage/package.keywords is deprecated, use /etc/portage/package.accept_keywords instead
  UserWarning)
  
[ Results for search key : k3b ]
Searching...

*  kde-apps/k3b
      Latest version available: 21.04.3
      Latest version installed: 21.04.3
      Size of files: 10.492 KiB
      Homepage:      https://apps.kde.org/k3b/ https://userbase.kde.org/K3b
      Description:   Full-featured burning and ripping application based on KDE Frameworks
      License:       GPL-2 FDL-1.2

[ Applications found : 1 ]
Essencialmente, o mesmo procedimento pode ser tentado para outros pacotes. Substitua "k3b" pelo nome do pacote que deseja atualizar.

A opção "--nodeps" evita que seu ambiente gráfico do KDE seja modificado.

Exemplo o cliente FTP Filezzila; os navegadores Vivaldi, Opera, Palemoon; o navegador Firefox etc.

Se for atualizar vários pacotes, é conveniente sincronizar o Portage com o Entropy:

# equo rescue spmsync

Até a próxima.

Outras dicas deste autor

Sincronizando Portage com GIT no Sabayon Linux

Widget de Tempo para KDE5 - Instalação em Sabayon Linux e/ou Gentoo

Sabayon Linux - Nova sintaxe e modos de uso dos repositórios

Boot de ISO GNU/Linux gravada no disco rígido

Sabayon Linux: Entropy sem espaço temporário para atualizar [Resolvido]

Leitura recomendada

Instalando o Shutter no Linux Mint 20 e Ubuntu 20.04

Instalando o IPTVnator no Slackware

Ocenaudio no Slackware - uma alternativa mais simples ao Audacity

Instalar Popcorn-Time no Linux

ExMplayer no Linux Mint 20

  

Comentários
[1] Comentário enviado por mauricio123 em 05/10/2021 - 19:27h


show.

___________________________________________________________
[code]Conhecimento não se Leva para o Túmulo.
https://github.com/MauricioFerrari-NovaTrento [/code]

[2] Comentário enviado por leoCCB em 05/10/2021 - 20:10h


vc é fera mesmo heim... eu já quebrei meu sabayon faz meses tentando instalar e atualizar kkkk. E não consegui usar o Mocaccino... espero usá-lo em breve



Contribuir com comentário